Bug 588368 - Can't create Vala Projects
Summary: Can't create Vala Projects
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit-vala   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Michel Alexandre Salim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-03 15:06 UTC by Muel Kiel
Modified: 2010-09-21 10:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-21 10:32:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console output of gedit when crashing (2.83 KB, text/plain)
2010-05-03 15:06 UTC, Muel Kiel
no flags Details

Description Muel Kiel 2010-05-03 15:06:20 UTC
Created attachment 411028 [details]
console output of gedit when crashing

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install gedit-vala
2. Try to create a new project
3. gedit crashes when you hit save project
  
Actual results:

gedit crashes

Expected results:

gedit creates a new project

Additional info:

Also affects valide and monodevelop-vala plugin

Comment 1 Michel Alexandre Salim 2010-05-03 16:20:38 UTC
The valide maintainer recently requested a Vala update so he could package the new version of valide, so the valide problem should go away soon.

I'll update and rebuild gedit-vala, thanks for the report!

Comment 2 Michel Alexandre Salim 2010-09-21 10:32:34 UTC
Can't be fixed, I'm afraid. We have vala 0.9.3 in F-12 and F-13. The first vtg
(gedit-vala) release that supports this is 0.8.0, but that would require an
update to gtksourceview2. We also cannot update to the 0.10.x series of vtg
because that depends on vala >= 0.9.5 and that introduces an soname bump that
would require other packages to be updated.

I recommend getting gedit-valencia reviewed and using that for F-12 and F-13
instead of gedit-vala:

https://bugzilla.redhat.com/show_bug.cgi?id=518892

I've tested several scenarios that crashes gedit-vala and valencia works fine
in those.


Note You need to log in before you can comment on or make changes to this bug.